質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.00%

qiita-markdownをcloud9からherokuへデプロイ時にエラー

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 644

NobutakaKomaki

score 112

qiita-markdownのgemを利用したサンプルアプリを
Cloud9環境からherokuにデプロイしたいのですが、以下のエラーがでてしまい
うまくデプロイができません。

対応方法をアドバイスのほどお願いします。

gem install rugged -v '0.26.0'を実行。
http://qiita.com/noraworld/items/5984cdad9e7feedab594
に記載されている内容などは対応してみたのですが、一向に直らない状況です。

remote:        Gem::Ext::BuildError: ERROR: Failed to build gem native extension.
remote:        
remote:        current directory:
remote:        /tmp/build_761712b116815f909623cee3c928058f/vendor/bundle/ruby/2.3.0/gems/rugged-0.26.0/ext/rugged
remote:        /tmp/build_761712b116815f909623cee3c928058f/vendor/ruby-2.3.4/bin/ruby -r
remote:        ./siteconf20170806-281-v3z43y.rb extconf.rb
remote:        checking for gmake... no
remote:        checking for make... yes
remote:        checking for cmake... no
remote:        ERROR: CMake is required to build Rugged.
remote:        *** extconf.rb failed ***
remote:        Could not create Makefile due to some reason, probably lack of necessary
remote:        libraries and/or headers.  Check the mkmf.log file for more details.  You may
remote:        need configuration options.
remote:        
remote:        Provided configuration options:
remote:        --with-opt-dir
remote:        --without-opt-dir
remote:        --with-opt-include
remote:        --without-opt-include=${opt-dir}/include
remote:        --with-opt-lib
remote:        --without-opt-lib=${opt-dir}/lib
remote:        --with-make-prog
remote:        --without-make-prog
remote:        --srcdir=.
remote:        --curdir
remote:        --ruby=/tmp/build_761712b116815f909623cee3c928058f/vendor/ruby-2.3.4/bin/$(RUBY_BASE_NAME)
remote:        --with-sha1dc
remote:        --without-sha1dc
remote:        --use-system-libraries
remote:        
remote:        To see why this extension failed to compile, please check the mkmf.log which can
remote:        be found here:
remote:        
remote:        /tmp/build_761712b116815f909623cee3c928058f/vendor/bundle/ruby/2.3.0/extensions/x86_64-linux/2.3.0/rugged-0.26.0/mkmf.log
remote:        
remote:        extconf failed, exit code 1
remote:        
remote:        Gem files will remain installed in
remote:        /tmp/build_761712b116815f909623cee3c928058f/vendor/bundle/ruby/2.3.0/gems/rugged-0.26.0
remote:        for inspection.
remote:        Results logged to
remote:        /tmp/build_761712b116815f909623cee3c928058f/vendor/bundle/ruby/2.3.0/extensions/x86_64-linux/2.3.0/rugged-0.26.0/gem_make.out
remote:        
remote:        An error occurred while installing rugged (0.26.0), and Bundler cannot continue.
remote:        Make sure that `gem install rugged -v '0.26.0'` succeeds before bundling.
remote:        
remote:        In Gemfile:
remote:        qiita-markdown was resolved to 0.20.1, which depends on
remote:        github-linguist was resolved to 4.8.18, which depends on
remote:        rugged
remote:  !
remote:  !     Failed to install gems via Bundler.
remote:  !
remote:  !     Push rejected, failed to compile Ruby app.
remote: 
remote:  !     Push failed
remote: Verifying deploy....
remote: 
remote: !       Push rejected to secure-eyrie-83653.
remote: 

Rails 5.1.3
Ruby 2.3.0

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

CMakeやlibicuをHeroku環境に用意する必要があります。ここなどが参考になるかもしれません。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.00%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる